
void SurveillanceBatterie()
{
  N = analogRead(A0);
  float Vin = 5.0 * N / 1024.0;
  float Ubat = 16 * Vin / 5;
  /*
  Serial.println("N = " + String(N));
  Serial.println("Vin = " + String(Vin) + " V");
  Serial.println("Ubat = " + String(Ubat) + " V");
  */
  //Calcul du niveau de batterie en fonction de la tension Ubat

  //méthode fonction map
  nivBATT = map(Ubat,10.5,14.8,0,100);

  //Regle de trois avec Ubat = 14,8V (nominale) et Ubat = 10,5 (val limite)
  nivBATT = 100*(Ubat-10.5)/(14.8-10.5);

  //Limite les valeurs entre 100% et 0%
  if(nivBATT > 100) nivBATT = 100;
  if(nivBATT < 0)nivBATT = 0;


}
